property_list_service_client_free
property_list_service_client_new
property_list_service_client_t
property_list_service_disable_ssl
property_list_service_enable_ssl
property_list_service_error_t
property_list_service_get_service_client
property_list_service_receive_plist
property_list_service_receive_plist_with_timeout
property_list_service_send_binary_plist
property_list_service_send_xml_plist

## property_list_service_receive_plist_with_timeout()

LIBIMOBILEDEVICE_API property_list_service_error_t property_list_service_receive_plist_with_timeout | ( | property_list_service_client_t | client,
|  | plist_t * | plist,
|  | unsigned int | timeout )

Receives a plist using the given property list service client with specified timeout.

Binary or XML plists are automatically handled.

Parameters

  client | The property list service client to use for receiving
  plist | pointer to a plist_t that will point to the received plist upon successful return
  timeout | Maximum time in milliseconds to wait for data.

Returns
  PROPERTY_LIST_SERVICE_E_SUCCESS on success, PROPERTY_LIST_SERVICE_E_INVALID_ARG when connection or *plist is NULL, PROPERTY_LIST_SERVICE_E_PLIST_ERROR when the received data cannot be converted to a plist, PROPERTY_LIST_SERVICE_E_MUX_ERROR when a communication error occurs, or PROPERTY_LIST_SERVICE_E_UNKNOWN_ERROR when an unspecified error occurs.